<?
/** 
 * @Project GoldMU.Net
 * @copyright 03/03/2022
 * @Email: goldmu.net@gmail.com
 * @Zalo: 0923 117 898
 */
 if (!defined('GoldWebMU')) die("Ban khong co quyen truy cap he thong");
if (isset($_GET['action']))
{
	$action = $_GET['action'];
	if ($action == 'giftcode_change')
	{
		$character = $_SESSION['mu_nvchon'];
        $giftcode = $_GET['giftcode'];
		$pass2 = $_GET['pass2'];
        
		if (empty($character))
		{
			echo "Chưa chọn nhân vật muốn đổi GiftCode";
		}
		elseif (!preg_match("/^[a-zA-Z0-9_]*$/i", $character))
			{
				echo "<font size='4' color='red'>Dữ liệu lỗi - Nhân vật chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.</font>";
			}
		elseif (empty($giftcode))
		{
			echo "Chưa nhập Mã GiftCode";
		}
		elseif (!preg_match("/^[a-zA-Z0-9]*$/i", $giftcode))
			{
				echo "<font size='4' color='red'>Dữ liệu lỗi - Mã GiftCode chỉ được sử dụng kí tự a-z, A-Z, số (1-9).</font>";
			}
        elseif (empty($pass2))
		{
			echo "Chưa nhập mật khẩu cấp 2";
		}
		elseif (!preg_match("/^[a-zA-Z0-9_]*$/i", $pass2))
			{
				echo "<font size='4' color='red'>Dữ liệu lỗi - Mật khẩu cấp 2 chỉ được sử dụng kí tự a-z, A-Z, số (1-9) và dấu _.</font>";
			}
		else {
			
			$getcontent_url = $server_url . "/sv_giftcode_change.php";
            $getcontent_data = array(
                'login'    =>  $_SESSION['mu_username'],
                'name'    =>  $_SESSION['mu_nvchon'],
                'giftcode'    =>  $giftcode,
                'pass2'    =>  $pass2,
                'string_login'    =>  $_SESSION['checklogin'],
                'passtransfer'    =>  $passtransfer
            ); 
            
            $reponse = _getContent($getcontent_url, $getcontent_data, $getcontent_method, $getcontent_curl);

			if ( empty($reponse) ) echo "Server bảo trì.";
			elseif($reponse == "login_other") {
				echo "<font size='3' color='red'>Tài khoản đã được đăng nhập trên trình duyệt khác hoặc máy tính khác.</font>";
				session_destroy();
			}
			else {
				$info = explode('<vweb>',$reponse);
				if ($info[0] == 'OK') {
					echo "<vweb>OK<vweb>$info[1]<vweb>";
				}
				else echo $reponse;
			}
		}
	}
}
?>